#ifndef EMITTANCEFUNCTION_H
#define EMITTANCEFUNCTION_H
#include <qwt3d_function.h>

using namespace std;
using namespace Qwt3D;

class EmittanceFunction : public Function
{
public:
        EmittanceFunction(SurfacePlot *pw)
                        : Function(pw) {
        }
        double operator()(double x, double y) {
//                return log((1-x)*(1-x) + 100 * (y - x*x)*(y - x*x)) / 8;
                int i,j;
                i = (int)x; j = (int)y;
                double data = m_emitData[(int)x*MAX_ANGLES + (int)y];
//                qDebug() << "i: " << i << " j: " << j << "value: " << data << endl;
                return data;
        }
        void setEmitData (double *ed)
        {
                m_emitData = ed;
        }

        double *m_emitData;
};

#endif
